
Infrastructure - Task #3788

Story # 3729 (Closed): Member Nodes should be the authoritative source of System Metadata

Add CN.updateSystemMetadata method

2013-06-05 04:24 - Robert Waltz

Status: Closed Start date: 2015-06-12

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Architecture Design Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version:    

Description

If synchronization process will manage the CN.systemMetadataChanged requests, then via use of the d1client, it will need the ability

to merge/update systemMetadata back to the metadata store. 

Adding a CN.updateSystemMetadata (PUT /meta) method potentially will eliminate the need for the CN methods CNCore.archive(),

CNCore.setObsoletedBy(), CNReplication.setReplicationStatus(), CNReplication.setReplicationPolicy(), and

CNReplication.deleteReplicationMetadata().    

Subtasks:

Task # 7179: add API documentation for CN.updateSystemMetadata Closed

Task # 7180: add d1_libclient_java implementation Closed

Task # 7225: Add cn.updateSystemMetadata implementation in Metacat Closed

History

#1 - 2014-10-01 16:45 - Robert Waltz

- Target version set to CCI-2.0.0

#2 - 2015-06-12 18:16 - Rob Nahf

- Assignee changed from Chris Jones to Rob Nahf

- Category set to Architecture Design

#3 - 2015-06-12 21:39 - Rob Nahf

- % Done changed from 0 to 100

- Status changed from New to Closed

done

#4 - 2015-06-17 16:54 - Rob Nahf

- % Done changed from 100 to 30

- Status changed from Closed to In Progress

#5 - 2016-03-25 01:14 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
